Policies

List policies

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
namestringOptional

Search by matching name

isPrivatebooleanOptional

Search private policies

Default: false
sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
Responses
chevron-right
200

Successful response

application/json
pagenumberRequired

Current page

nextany ofRequired

Next page or null if there is none

numberOptional
or
nullOptional
prevany ofRequired

Previous page or null if there is none

numberOptional
or
nullOptional
pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get
/policies

Get a single policy

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the target policy

Responses
chevron-right
200

Successful response

application/json

Account policy

idstringRequired

Internal unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

namestringRequired

Policy name

descriptionany ofRequired

Policy description

stringOptional
or
nullOptional
currencyany ofRequired
string · min: 1 · max: 40Optional

Will be deprecated soon, use network instead. Currency

Pattern: ^\w+$
or
nullOptional
networkany ofRequired
string · min: 1 · max: 40Optional

Network (Same as currency for now)

Pattern: ^\w+$
or
nullOptional
isPrivatebooleanRequired

Whether the policy is private

createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

get
/policies/{id}

Last updated